export default ({request}) => ({
  /**
   * @description 系统管理 角色管理
   * @param {Object} data 
   */
  // 新建角色
   addRole( data ) {
    return request({
      url: `/roleInfo/authority/saveRoleInfo`,
      method: 'post',
      data
    })
  },
  // 分页查询
  getRolePageList(data) {
    return request({
      url: `/roleInfo/authority/getRolePage`,
      method: 'post',
      data
    })
  },

  // 修改角色
  editRoleInfo( data ) {
    return request({
      url: `/roleInfo/authority/updateRoleInfo`,
      method: 'post',
      data
    })
  },

  // 删除角色
  deleRole( id ) {
    return request({
      url: `/roleInfo/authority/getByIdDeleteRoleInfo/${id}`,
      method: 'get',
      
    })
  },

  // 获取所属仓库（机构）
  getOrganizationArr( data ) {
    return request({
      url: `/orgInfo/authority/getList`,
      method: 'post',
      data
    })
  },
  // 查询  根据仓库关键字
  getOrganizationByName( orgName ) {
    return request({
      url: `/orgInfo/authority/getTreeList?orgName=${orgName}`,
      method: 'get',

    })
  },
  // 根据id查询仓库（机构）
  getOrganizationById( id ) {
    return request({
      url: `/orgInfo/authority/getById/${id}`,
      method: 'get',

    })
  },

})

